Unity control center chokes on upper case in user name

Bug #1600638 reported by Bryce Nesbitt on 2016-07-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
Medium
Unassigned
gnome-control-center (Ubuntu)
Medium
Unassigned
Xenial
Medium
Unassigned
unity-control-center (Ubuntu)
Medium
Robert Ancell
Xenial
Medium
Unassigned

Bug Description

1. Enter control panel
2. "Add account"
3. Use an invalid charcter, such as an upper case letter.
4. Get a confusing error message:

Failed to add account
running '/usr/sbin/adduser' failed: Child process exited with code 1'

This is an easy fix, and could keep a user from getting really confused.
For a confused user see
http://askubuntu.com/questions/677749/failed-to-add-account-in-ubuntu-14-04

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: unity-control-center 14.04.3+14.04.20150916-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-88.135-generic 3.13.11-ckt39
Uname: Linux 3.13.0-88-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.1-0ubuntu3.21
Architecture: amd64
CurrentDesktop: Unity
Date: Sun Jul 10 12:46:05 2016
ExecutablePath: /usr/bin/unity-control-center
ProcEnviron:
 PATH=(custom, user)
 SHELL=/bin/bash
 LANG=en_US.UTF-8
 LANGUAGE=en_US
 XDG_RUNTIME_DIR=<set>
SourcePackage: unity-control-center
UpgradeStatus: No upgrade log present (probably fresh install)
usr_lib_unity-control-center:
 deja-dup 30.0-0ubuntu4
 gnome-control-center 1:3.6.3-0ubuntu56.1

Bryce Nesbitt (bryce2) wrote :
Changed in unity-control-center (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in unity-control-center (Ubuntu Xenial):
status: New → Triaged
importance: Undecided → Medium
Robert Ancell (robert-ancell) wrote :

POSIX supports upper and lower case letters, however adduser is configured by default in Debian to only allow lower case. It makes sense for Unity Control Center to only allow lower case given it is used in Ubuntu, though GNOME Control Center might still continue to allow mixed case.

Changed in unity-control-center (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Robert Ancell (robert-ancell)
Jeremy Bicha (jbicha) on 2016-07-11
Changed in gnome-control-center (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in gnome-control-center (Ubuntu Xenial):
status: New → Triaged
importance: Undecided → Medium
Robert Ancell (robert-ancell) wrote :

Clarifying my comment about GNOME Control Center - *upstream* G-C-C probably should allow uppercase since other distros probably don't have this limitation, but in Ubuntu/Debian it makes sense for G-C-C to only allow lowercase.

Jeremy Bicha (jbicha) wrote :

By the way, Debian's adduser requires the first character to be a letter. I filed bug 1630417 for that issue.

This commit broke string freeze. If we backport this to Ubuntu 16.04 LTS, we want to do it without changing the hint string, right?

Changed in ubuntu-gnome:
status: New → Triaged
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-control-center - 15.04.0+16.10.20161003.1-0ubuntu1

---------------
unity-control-center (15.04.0+16.10.20161003.1-0ubuntu1) yakkety; urgency=medium

  [ Robert Ancell ]
  * Don't check if we're running under Unity - we only support Unity
    (LP: #1554878, #1629668)
  * Ubuntu only supports usernames with lowercase letters. (LP:
    #1600638)

  [ Sebastien Bacher ]
  * Revert the change from r12750 to include only graphical sessions.
    (LP: #1380364)

  [ <email address hidden> ]
  * Removed "when battery is critical" functionality from the power
    panel as this is now handled by Upower and these settings now do
    nothing. Fixes LP: #1599264 (LP: #1599264)

 -- <email address hidden> (<email address hidden>) Mon, 03 Oct 2016 11:19:09 +0000

Changed in unity-control-center (Ubuntu):
status: In Progress → Fix Released
Iain Lane (laney) wrote :

> This commit broke string freeze. If we backport this to Ubuntu 16.04 LTS, we want to do it without changing the hint string, right?

I noticed this too last night, and I'm uploading with the string change reverted now for 16.10.

Thanks for pointing it out!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.20.1-2ubuntu3

---------------
gnome-control-center (1:3.20.1-2ubuntu3) yakkety; urgency=medium

  * Add 08_lowercase_user_names.patch:
    - Copy patch from unity-control-center to disallow upper-case
      letters in user names for compliance with adduser (LP: #1600638)
  * Depend on system-config-printer-gnome instead of -common.
    Ubuntu's s-c-p packaging differs and we need scp-dbus-service.py
    (LP: #1623150)

 -- Jeremy Bicha <email address hidden> Wed, 05 Oct 2016 14:35:22 -0400

Changed in gnome-control-center (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers